Skip to content

Retrieve a form

Request

Retrieves a form.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
formstringrequired

The form id.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/forms/{form}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) The resource name of the form. Format: forms/{form} Format: workspaces/{workspace}/forms/{form} string.resource_name = ["forms/", "workspaces//forms/*"] // value must be a valid resource name

formDefinitionstring(form_definition)

(IMMUTABLE) Immutable. The resource name of the form definition used to create this form. Required when creating a form. Format: formDefinitions/{form_definition} string.resource_name = ["formDefinitions/*"] // value must be a valid resource name

Example:"formDefinitions/kyc-beneficial-ownership"
formkitSchemaobject(formkit_schema)read-only

Output only. The schema of the form, derived from the form definition.

responseobject(response)required

Required. The responses to the form questions, stored as a JSON object.

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the form was created.

Example:"2023-01-15T01:30:15.01Z"
updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the form was most recently updated.

Example:"2023-01-15T01:30:15.01Z"
etagstring(etag)

(OPTIONAL) Optional. The etag of the resource. Used for optimistic concurrency control as per AIP-154. string.etag = true // etag must be at most 256 characters

displayNamestring(display_name)

(OPTIONAL) Optional. A mutable, user-settable field for providing a human-readable name for the form, to be used in user interfaces. Must be <= 63 characters. string.display_name = true // value must be at most 63 characters

Example:"KYC Identity Verification - Jane Smith"
workspacesArray of strings(workspaces)

(OPTIONAL)

statestring(state)read-only

Output only. The current state of the form. State can be changed using custom methods like CloseForm or SubmitForm.

Enum:"STATE_UNSPECIFIED""OPEN""EXPIRED""SUBMITTED"
Response
{ "name": "string", "formDefinition": "formDefinitions/kyc-beneficial-ownership", "formkitSchema": { "nodes": { … } }, "response": { "property1": null, "property2": null }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "etag": "string", "displayName": "KYC Identity Verification - Jane Smith", "workspaces": [ "workspaces/due-diligence-ws-123" ], "state": "STATE_UNSPECIFIED" }